App\Entity\Reparation:
    type: entity
    table: reparation
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        numIncrement:
            type: integer
            nullable: true
        numReparation:
            type: string
            length: 255
            fixed: false
            nullable: true
        demandeClient:
            type: text
            nullable: true
        observations:
            type: text
            nullable: true
        montantApproximatif:
            type: float
            nullable: true
        montantReparation:
            type: float
            nullable: true
        dateReparation:
            type: datetime
            nullable: true
        dateTimeEntree:
            type: datetime
            nullable: true
        dateTimePrevueSortie:
            type: datetime
            nullable: true
        dateTimeSortie:
            type: datetime
            nullable: true
        dateMiseAjour:
            type: datetime
            nullable: true
        deGarantie:
            type: boolean
            nullable: true
        estValide:
            type: boolean
            nullable: true
        estCloturee:
            type: boolean
            nullable: true
        scanOr:
            type: string
            length: 255
            fixed: false
            nullable: true
        kilometrage:
            type: string
            length: 255
            fixed: false
            nullable: true
        numBoiteAVitesse:
            type: string
            length: 255
            fixed: false
            nullable: true
        motscles:
            type: text
            nullable: true
    oneToMany:
        produits:
            targetEntity: ReparationProduit
            mappedBy: reparation
            cascade: [persist]
            orphanRemoval: true
        ventes:
            targetEntity: Vente
            mappedBy: reparation
            cascade: [persist]
            orphanRemoval: true
        devis:
            targetEntity: Devis
            mappedBy: reparation
            cascade: [persist]
            orphanRemoval: true
        pieces:
            targetEntity: ReparationPiece
            mappedBy: reparation
            cascade: [persist]
            orphanRemoval: true
    manyToOne:
        utilisateur:
            targetEntity: Utilisateur
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                utilisateur_id:
                    referencedColumnName: id
            orphanRemoval: false
        client:
            targetEntity: Client
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                client_id:
                    referencedColumnName: id
            orphanRemoval: false
        vehicule:
            targetEntity: Vehicule
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                vehicule_id:
                    referencedColumnName: id
            orphanRemoval: false
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false
        reparationType:
            targetEntity: ReparationType
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                reparation_type_id:
                    referencedColumnName: id
            orphanRemoval: false
        dossier:
            targetEntity: Dossier
            cascade: {  }
            mappedBy: null
            inversedBy: reparations
            joinColumns:
                dossier_id:
                    referencedColumnName: id
                    nullable: true
                    onDelete: SET NULL
            orphanRemoval: false